Package Details: haskell-asn1-data 0.7.1-2

Git Clone URL: https://aur.archlinux.org/haskell-asn1-data.git (read-only)
Package Base: haskell-asn1-data
Description: ASN1 data reader and writer in RAW, BER and DER forms
Upstream URL: http://hackage.haskell.org/package/asn1-data
Licenses: custom:BSD3
Submitter: hauzer
Maintainer: None
Last Packager: drevilt
Votes: 6
Popularity: 0.000000
First Submitted: 2013-02-20 06:51
Last Updated: 2015-06-08 18:37

Latest Comments

drevilt commented on 2014-04-07 19:05

why does it not build? can you post console output?
I dont see why it should not build.

ndowens commented on 2014-04-02 02:17

Please add a version to haskell-cereal like 0.4.0.1 to the depends field. If the version is left out, this package doesn't build

voxsim commented on 2014-03-03 22:43

@Ape, thanks this resolves everything

Ape commented on 2014-03-03 11:32

@voxsim, I built haskell-cereal with 'staticlibs' added to options=(). It seems to fix this issue.

Ape commented on 2014-03-03 11:27

@voxsim, I also get the same error.

voxsim commented on 2014-02-25 22:28

I have this error:

[voxsim@hell haskell-asn1-data]$ makepkg
==> Making package: haskell-asn1-data 0.7.1-2 (Wed Feb 26 00:24:23 CET 2014)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Found asn1-data-0.7.1.tar.gz
==> Validating source files with md5sums...
asn1-data-0.7.1.tar.gz ... Passed
==> Extracting sources...
-> Extracting asn1-data-0.7.1.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Starting build()...
Configuring asn1-data-0.7.1...
Setup: At least the following dependencies are missing:
cereal -any
==> ERROR: A failure occurred in build().
Aborting...

How i can resolve it?

pdxleif commented on 2013-12-08 08:24

This could use the 'staticlibs' option.